package _gsp;
import com.bitmechanic.gsp.*;
import javax.servlet.http.*;


public class ___more_complex implements Template {
  private static String __strArr[] = {
    "<html>\n<head>\n <title>More complicated GSP Page</title>\n</head>\n\n<body bgcolor=\"#ffffff\">\n\n<h1>Complex Page</h1>\n\n<!-- Write a method that gets called from later in the template -->\n",
    "\n\n<!-- Include the include.gsp page here -->\n",
    "\n",
    "\n<!-- this is included by more_complex.gsp -->\n\nThis is in the include file.  x == ",
    "\n",
    "\n\n\n<!-- Write a loop of numbers using incrementCounter()\n     The use of the method call is totally gratuitous, and is simply\n     to show that it can be done -->\n\n<ul>\n",
    "\n</ul>\n\n\n</body>\n</html>\n   ",
  };
	private static char[][] __byteArr;
	static {
	  __byteArr = new char[__strArr.length][];
	  for(int i = 0; i < __strArr.length; i++) {
	    __byteArr[i] = __strArr[i].toCharArray();
	  }
	  __strArr = null;
	}
	//note current time for comparisons latter
	private static long __parseTime = Long.parseLong("942719338013");
	private static com.bitmechanic.gsp.FileDependancy __dependancies[] = {  
		new com.bitmechanic.gsp.FileDependancy ("i:\\os2httpd\\public\\htdocs\\gsp\\more_complex.gsp","917922188000"), 
		new com.bitmechanic.gsp.FileDependancy ("i:\\os2httpd\\public\\htdocs\\gsp\\include.gsp","917922188000")};
	public boolean usesPrintWriter() {
		return true;
	}
	public boolean shouldCache() {
		boolean __shouldCache = true;
		for (int i = 0; i < __dependancies.length && __shouldCache; i++) {
			if (!__dependancies[i].isCurrent())
				__shouldCache = false;
		}
		return __shouldCache;
	}

	public long getParseTime() { return this.__parseTime; }
	private java.util.Hashtable __cacheHash = new java.util.Hashtable();
	public synchronized void flushExpiredCacheData() {
	  if(__cacheHash != null) {
		long now = System.currentTimeMillis();
		for(java.util.Enumeration e = __cacheHash.keys(); e.hasMoreElements();) {
			Object key = e.nextElement();
			CachedString cs = (CachedString)__cacheHash.get(key);
			if(cs.hasExpired(now)) __cacheHash.remove(key);
		}
	  }
	}
	public synchronized void flushAllCacheData() {
	  if(__cacheHash != null) {
		__cacheHash.clear();
	  }
	}
 //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:11
 //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:12
    private int counter = 0; //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:13
    private int incrementCounter() { //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:14
      return ++counter; //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:15
    } //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:16
 //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:17


	public ___more_complex () {}

	public void render(Application application, GspRequest request, GspResponse response) throws Exception {
		java.io.PrintWriter out = response.getWriter();
	out.write(__byteArr[0]);
	out.write(__byteArr[1]);
 int x = counter;  //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:20
	out.write(__byteArr[2]);
	out.write(__byteArr[3]);
		out.print(x); //i:\os2httpd\public\htdocs\gsp\include.gsp:4(i:\os2httpd\public\htdocs\gsp\more_complex.gsp:21)
	out.write(__byteArr[4]);
	out.write(__byteArr[5]);
 //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:29
  for(int i = 0; i < 10; i++) { //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:30
     out.println("<li>Line #" + incrementCounter()); //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:31
  } //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:32
 //i:\os2httpd\public\htdocs\gsp\more_complex.gsp:33
	out.write(__byteArr[6]);
		out.flush();
	}
}
